Bug 2075005 (CVE-2022-27386) - CVE-2022-27386 mariadb: server crashes in query_arena::set_query_arena upon SELECT from view
Summary: CVE-2022-27386 mariadb: server crashes in query_arena::set_query_arena upon S...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-27386
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2083246 2083249 2089977 2089980 2090192 2090831 2090832 2090833 2090834 2090839 2090845 2096275 2096280 2101779 2107052 2107074
Blocks: 2075026
TreeView+ depends on / blocked
 
Reported: 2022-04-13 12:02 UTC by TEJ RATHI
Modified: 2022-11-26 02:26 UTC (History)
20 users (show)

Fixed In Version: mariadb 10.7.4, mariadb 10.6.8, mariadb 10.5.16, mariadb 10.4.25, mariadb 10.3.35, mariadb 10.2.44
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the MariaDB Server. It contains a segmentation fault via the component, sql/sql_class.cc, impacting availability.
Clone Of:
Environment:
Last Closed: 2022-11-26 02:26:24 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:5759 0 None None None 2022-07-28 16:07:10 UTC
Red Hat Product Errata RHSA-2022:5826 0 None None None 2022-08-02 10:11:26 UTC
Red Hat Product Errata RHSA-2022:5948 0 None None None 2022-08-09 12:25:58 UTC
Red Hat Product Errata RHSA-2022:6306 0 None None None 2022-09-01 14:19:41 UTC
Red Hat Product Errata RHSA-2022:6443 0 None None None 2022-09-13 09:42:50 UTC

Description TEJ RATHI 2022-04-13 12:02:32 UTC
MariaDB Server v10.7 and below was discovered to contain a segmentation fault via the component sql/sql_class.cc.

https://jira.mariadb.org/browse/MDEV-26406

Comment 5 Mauro Matteo Cascella 2022-05-26 16:03:09 UTC
Created mariadb tracking bugs for this issue:

Affects: fedora-all [bug 2090831]

Comment 6 Mauro Matteo Cascella 2022-05-26 16:08:42 UTC
Created mariadb:10.5/mariadb tracking bugs for this issue:

Affects: fedora-all [bug 2090832]

Comment 7 Mauro Matteo Cascella 2022-05-26 16:20:18 UTC
Created mariadb:10.3/mariadb tracking bugs for this issue:

Affects: fedora-all [bug 2090833]

Comment 8 Mauro Matteo Cascella 2022-05-26 16:28:08 UTC
Created mariadb:10.4/mariadb tracking bugs for this issue:

Affects: fedora-all [bug 2090834]

Comment 9 Mauro Matteo Cascella 2022-05-26 16:37:58 UTC
Created mariadb:10.6/mariadb tracking bugs for this issue:

Affects: fedora-all [bug 2090839]

Comment 10 Mauro Matteo Cascella 2022-05-26 16:56:34 UTC
Created mariadb:10.7/mariadb tracking bugs for this issue:

Affects: fedora-all [bug 2090845]

Comment 11 errata-xmlrpc 2022-07-28 16:07:07 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7

Via RHSA-2022:5759 https://access.redhat.com/errata/RHSA-2022:5759

Comment 12 errata-xmlrpc 2022-08-02 10:11:23 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:5826 https://access.redhat.com/errata/RHSA-2022:5826

Comment 13 errata-xmlrpc 2022-08-09 12:25:55 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2022:5948 https://access.redhat.com/errata/RHSA-2022:5948

Comment 14 errata-xmlrpc 2022-09-01 14:19:38 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7

Via RHSA-2022:6306 https://access.redhat.com/errata/RHSA-2022:6306

Comment 15 errata-xmlrpc 2022-09-13 09:42:47 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:6443 https://access.redhat.com/errata/RHSA-2022:6443

Comment 17 Product Security DevOps Team 2022-11-26 02:26:22 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-27386


Note You need to log in before you can comment on or make changes to this bug.